import 'package:flutter/material.dart';

class Tile {
  String imageURL;
  Alignment alignment;
  double size;

  Tile({this.imageURL, this.alignment,this.size});

  Widget croppedImageTile() {
    return SizedBox.expand(
       child: FittedBox(
        fit: BoxFit.fill,
        child: ClipRect(
          child: Container(
            child: Align(
              alignment: this.alignment,
              widthFactor: 1/size,
              heightFactor: 1/size,
              child: Image.network(this.imageURL),
            ),
          ),
        ),
      ),
    );
  }
}

Tile tile = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(0, 0),size: 4);

class DisplayTileWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Affichage d'une tuile"),
      ),
      body: Center(
          child: Column(children: [
            SizedBox(
                width: 150.0,
                height: 150.0,
                child: Container(
                    margin: EdgeInsets.all(20.0),
                    child: this.createTileWidgetFrom(tile))),
            Container(
                height: 200,
                child: Image.network('https://picsum.photos/512/1024',
                    fit: BoxFit.cover))
          ])),
    );
  }

  Widget createTileWidgetFrom(Tile tile) {
    return InkWell(
      child: tile.croppedImageTile(),
      onTap: () {
        print("tapped on tile");
      },
    );
  }
}